#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 10. Graphics and Font Libraries

- Prev

  babl-0.1.88

- Next

  FreeType-2.11.1

- Up
- Home

# Exiv2-0.27.5

## Introduction to Exiv2

Exiv2 is a C++ library and a command line utility for managing image and video metadata.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://github.com/Exiv2/exiv2/releases/download/v0.27.5/exiv2-0.27.5-Source.tar.gz

- Download MD5 sum: 65621b14626f562c05547176e943d0c2

- Download size: 31 MB

- Estimated disk space required: 87 MB

- Estimated build time: 0.3 SBU (Using parallelism=4)

### Exiv2 dependencies

#### Required

CMake-3.22.2

#### Recommended

cURL-7.81.0

#### Optional

libssh

#### Optional for documentation

Doxygen-1.9.3, Graphviz-2.50.0, and libxslt-1.1.35

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/exiv2

## Installation of Exiv2

Install Exiv2 by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=/usr  \
          -DCMAKE_BUILD_TYPE=Release   \
          -DEXIV2_ENABLE_VIDEO=yes     \
          -DEXIV2_ENABLE_WEBREADY=yes  \
          -DEXIV2_ENABLE_CURL=yes      \
          -DEXIV2_BUILD_SAMPLES=no     \
          -G "Unix Makefiles" .. &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Command Explanations

`-DEXIV2_ENABLE_VIDEO=yes`: This switch enables managing video metadata.

`-DEXIV2_ENABLE_WEBREADY=yes`: This switch enables managing web image metadata.

`-DEXIV2_BUILD_SAMPLES=no`: This switch is necessary to suppress building and installing sample programs. If the sample programs are built, 34 additional programs are installed in /usr/bin.

`-DEXIV2_ENABLE_CURL=yes`: This switch is necessary to enable network/http capabilities.

## Contents

Installed Program: exiv2
Installed Library: libexiv2.so and libexiv2-xmp.a
Installed Directories: /usr/include/exiv2

### Short Descriptions

exiv2 | is a utility used to dump Exif data

Last updated on

- Prev

  babl-0.1.88

- Next

  FreeType-2.11.1

- Up
- Home